<div class="contenedor">
  <mat-card>
    <div class="avance">
      <mat-progress-bar mode="determinate" value="99.9999"></mat-progress-bar>
    </div>
    <h1 style="margin: 0.5em">Módulos de FANAIA</h1>
    <mat-accordion class="instructions hide">
      <mat-expansion-panel
        (opened)="panelOpenState = true"
        (closed)="panelOpenState = false"
      >
        <mat-expansion-panel-header>
          <mat-panel-description>
            <span style="margin: auto;">Instrucciones de busqueda</span>
          </mat-panel-description>
        </mat-expansion-panel-header>
        <p>
          Queremos saber qué módulos de la arquitectura de Fanaia conoces.
          <br /><br />

          Para esto creamos un árbol con los diferentes módulos de conocimiento
          que están divididos en los siguientes niveles:
          Sistema/Módulo/Proceso/App/ Actividad. Es decir, un sistema contiene
          varios módulos, un módulo varios procesos, los procesos pueden
          contener una o varias aplicaciones o actividades.
          <br /><br />

          Un ejemplo de lo anterior es: Pila/Liquidaciones/Validador/Empleador
          Salida/Cargue archivo plano Pila/Liquidaciones/Validador/Empleador
          Salida/Cargue Excel
          <br /><br />

          Hay palabras claves que aparecerán en varios sistemas o módulos del
          árbol. Por ejemplo, planilla N aparece en:
          Pila/Liquidaciones/Autoliquidador/Agente/Planilla N
          Pila/Novedades/Administración/Empleador/Planilla N
          <br /><br />

          Puedes buscar palabras claves y seleccionar aquellos módulos que hayas
          trabajado o estés interesado en trabajar. Si quieres explorar el árbol
          de módulos de conocimiento puedes ver la siguiente
          <a href="cuestionarios/modulos.html" target="_blank">
            imagen
          </a>
          o buscar por los sistemas del árbol: PILA, Transversales, Cenit,
          Voluntarias, Servicios financieros, BEPS y Cesantías. <br /><br />
        </p>
      </mat-expansion-panel>
    </mat-accordion>

    <div style="margin: 0.5em" class="container" id="busqueda">
      <output class="form-modulo-item" *ngFor="let item of preguntas">{{
        item.pregunta
      }}</output>
      <input
        class="form-modulo-item"
        type="text"
        [(ngModel)]="searchText"
        placeholder="Buscar.."
        (keyup)="showSearchResults($event)"
      />
    </div>

    <div id="main">
      <div id="sequence"></div>
      <div id="chart">
        <div id="explanation" style="visibility: hidden;">
          <span id="percentage"></span><br />
          of visits begin with this sequence of pages
        </div>
        <svg id="modules_hide" class="hide"></svg>
        <svg id="modules" class="sunburst"></svg>
        <div id="sidebar">
          <h4 class="text-success">Convenciones</h4>
          <div id="legend"></div>
        </div>
      </div>
    </div>

    <ul style="padding: 0px;" *ngIf="searching === true">
      <mat-selection-list
        #shoes
        (selectionChange)="onSelection($event, shoes.selectedOptions, '')"
      >
        <div>
          <label class="text-grey"> Seleccionar Todos</label>
          <br />
          <mat-checkbox
            class="margin-half text-grey"
            (change)="onAllInteres($event)"
            [(ngModel)]="allInteres"
            >Interés
          </mat-checkbox>
          <mat-checkbox
            class="margin-half text-grey"
            (change)="onAllTrabajo($event)"
            [(ngModel)]="allTrabajo"
          >
            Trabajo</mat-checkbox
          >
          <mat-checkbox
            class="margin-half text-grey"
            (change)="onAllCapacitacion($event)"
            [(ngModel)]="allCapacitacion"
            >Capacitación</mat-checkbox
          >
        </div>
        <mat-list
          *ngFor="let item of modulos | search: searchText; let indice = index"
        >
          <table class="mdl">
            <td class="options1">
              {{ item }}
            </td>
            <td class="options2">
              <tr>
                <mat-checkbox
                  (change)="onSelection($event, item, 'interes')"
                  [ngModel]="ValidadorInteres(item)"
                  >Interés
                </mat-checkbox>
              </tr>
              <tr>
                <mat-checkbox
                  (change)="onSelection($event, item, 'trabajo')"
                  [ngModel]="ValidadorTrabajo(item)"
                >
                  Trabajo</mat-checkbox
                >
              </tr>
              <tr>
                <mat-checkbox
                  (change)="onSelection($event, item, 'capacitacion')"
                  [ngModel]="ValidadorCapacitacion(item)"
                  >Capacitación</mat-checkbox
                >
              </tr>
            </td>
          </table>
          <mat-divider></mat-divider>
        </mat-list>
      </mat-selection-list>
    </ul>
    <button
      mat-button
      color="green"
      routerLink="./"
      [fragment]="'busqueda'"
    >
      Buscar otros módulos
    </button>
    <button
      type="submit"
      mat-raised-button
      color="primary"
      (click)="addModulo(modulos,false)"
    >
     Guardar
    </button>
    <button
      type="submit"
      mat-raised-button
      color="primary"
      (click)="addModulo(modulos)"
    >
      Finalizar
    </button>
  </mat-card>
  <app-spinner *ngIf="loading"></app-spinner>
</div>
